---
title: "Get a card by ID"
description: "Returns full details for a single card by its external `cardId`, scoped to the company in the `companyId` header. Includes cardholder, segments, and the spend, purchase, country, merchant-category, top-up, and ATM configuration."
source: https://developers.qashio.com/v1/reference/get-cards-by-cardid/
---

# Get a card by ID

`GET /cards/{cardId}`

Requires a Bearer access token.

Returns full details for a single card by its external `cardId`, scoped to the company in the `companyId` header. Includes cardholder, segments, and the spend, purchase, country, merchant-category, top-up, and ATM configuration.

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `cardId` | string | yes |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/cards/CAj6am8270po7z56' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "id": "CAj6am8270po7z56",
  "cardNickname": "vwfrsdc",
  "status": "Active",
  "cardholder": {
    "name": "Sohrab Shaikh",
    "email": "sohrab@qashio.com",
    "employeeId": "13245"
  },
  "cardType": "Virtual",
  "maskedCardNumber": "**** **** **** 6408",
  "accountExternalId": "AC980077s7pa6n2j",
  "accountType": "Pool",
  "cardCurrency": "AED",
  "createdAt": "2026-01-20T06:04:05.460Z",
  "companyName": "Qashio, Inc.",
  "segments": [
    {
      "name": "Dubai",
      "label": "Location",
      "erp_internal_id": "LOC-001",
      "code": "MO"
    }
  ],
  "customSegments": [
    {
      "label": "category",
      "name": "MR505",
      "erpCode": "Test",
      "erp_internal_id": null
    }
  ],
  "allowedMaxBalance": 5000,
  "floatManagementEnabled": false,
  "topupType": "manual",
  "cardReplaced": false,
  "transactionLimitsActive": true,
  "purchaseLimitsActive": true,
  "countryLimitsActive": true,
  "categoryLimitsActive": true,
  "atmWithdrawalAllowed": true,
  "lowBalanceNotificationActive": false,
  "lowBalanceNotificationAmount": 100,
  "terminatedAt": "2026-01-20T06:25:08.969Z",
  "activatedAt": null,
  "issuedAt": "2026-01-20T06:04:05.460Z",
  "purchaseLimits": {
    "perTransactionLimit": 500,
    "dailyLimit": 1000,
    "weeklyLimit": 5000,
    "monthlyLimit": 20000,
    "limitCurrency": "AED"
  },
  "countryLimits": {
    "restrictionMode": "allowlist",
    "allowedCountries": [
      "AE"
    ],
    "blockedCountries": []
  },
  "merchantCategoryLimits": {
    "restrictionMode": "blocklist",
    "allowedMccCodes": [
      "string"
    ],
    "blockedMccCodes": [
      "string"
    ],
    "allowedCategories": [
      "string"
    ],
    "blockedCategories": [
      "string"
    ]
  },
  "topupConfiguration": {
    "topupType": "manual",
    "topupSourceDetails": {
      "sourceId": "AC980077s7pa6n2j",
      "sourceType": "PoolAccount"
    },
    "autoTopupEnabled": false,
    "autoTopupThreshold": 100,
    "autoTopupAmount": 500,
    "frequency": "monthly"
  },
  "autoTopUpConfiguration": {
    "autoTopupEnabled": true,
    "autoTopupThreshold": 100,
    "autoTopupAmount": 500,
    "frequency": "monthly"
  },
  "atmConfiguration": {
    "atmWithdrawalAllowed": true,
    "dailyAtmLimit": 1000,
    "monthlyAtmLimit": 5000
  }
}
```

### Errors

- `400` Bad Request
